import { Component, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';

import { IUserWatchList } from '../user-watch-list.model';

@Component({
  selector: 'jhi-user-watch-list-detail',
  templateUrl: './user-watch-list-detail.component.html',
})
export class UserWatchListDetailComponent implements OnInit {
  userWatchList: IUserWatchList | null = null;

  constructor(protected activatedRoute: ActivatedRoute) {}

  ngOnInit(): void {
    this.activatedRoute.data.subscribe(({ userWatchList }) => {
      this.userWatchList = userWatchList;
    });
  }

  previousState(): void {
    window.history.back();
  }
}
